<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    
    <title>Minu grupid</title>
    <link rel="stylesheet" href="assets/popup.css">
    <link rel="stylesheet" href="assets/app.css">
</head>

<body>
    <div class="container">
        <div id="headerBar">
            <span></span> | <a href="#" onclick="doLogout()">logout</a>
        </div>
        <h1>Minu grupid</h1>

        <div id="groupsList"></div>

    </div>
    <template id="groupEditTemplate">
        <div style="overflow-x: hidden; overflow-y: auto;">
            <h2>Muuda gruppi</h2>
            <br>

            <div id="errorBox" style="display: none;">
            </div>
            
            <br>

            <input type="hidden" id="groupId">

            Nimi:<br>
            <input type="text" id="groupName"><br><br>

            Kuutasu:<br>
            <input type="number" id="groupMonthlyFee"><br><br>

            <button onclick="editGroup()">Salvesta</button>
        </div>
    </template>

    <template id="newTrainingTemplate">
        <div style="overflow-x: hidden; overflow-y: auto;">
            <h2>Lisa uus treening</h2>
            <div id="groupName"></div>
            <br>

            <div id="errorBox" style="display: none;">
            </div>
            
            <br>

            <input type="hidden" id="groupId">

            Kuupäev:<br>
            <input type="date" id="trainingDate"><br><br>

            Kommentaarid:<br>
            <textarea id="trainingComments" cols="55" rows="2"></textarea><br><br>

            Osalejad:<br>
            <div id="membersDiv">Osalejad</div> 

            <button onclick="addNewTraining()">Salvesta</button>
        </div>
    </template>

    
     <script src="assets/config.js"></script>
     <script src="assets/fetchApi.js"></script>
     <script src="assets/popup.js"></script>
     <script src="assets/app.js"></script>
     <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
     <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>

</html>
